org.apache.hc.client5.testing.classic

## Class AuthenticatingDecorator

- java.lang.Object
- - org.apache.hc.client5.testing.classic.AuthenticatingDecorator

- All Implemented Interfaces:
    org.apache.hc.core5.http.io.HttpServerRequestHandler

      public class AuthenticatingDecorator
      extends Object
      implements org.apache.hc.core5.http.io.HttpServerRequestHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hc.core5.http.io.HttpServerRequestHandler

      `org.apache.hc.core5.http.io.HttpServerRequestHandler.ResponseTrigger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticatingDecorator(org.apache.hc.core5.http.io.HttpServerRequestHandler requestHandler, AuthenticationHandler<String> authenticationHandler, Authenticator authenticator)`
    `AuthenticatingDecorator(org.apache.hc.core5.http.io.HttpServerRequestHandler requestHandler, Authenticator authenticator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `customizeUnauthorizedResponse(org.apache.hc.core5.http.ClassicHttpResponse unauthorized)`
    `void` | `handle(org.apache.hc.core5.http.ClassicHttpRequest request, org.apache.hc.core5.http.io.HttpServerRequestHandler.ResponseTrigger responseTrigger, org.apache.hc.core5.http.protocol.HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticatingDecorator

          public AuthenticatingDecorator(org.apache.hc.core5.http.io.HttpServerRequestHandler requestHandler,
                                         AuthenticationHandler<String> authenticationHandler,
                                         Authenticator authenticator)

      Since:
        5.3

    - #### AuthenticatingDecorator

          public AuthenticatingDecorator(org.apache.hc.core5.http.io.HttpServerRequestHandler requestHandler,
                                         Authenticator authenticator)

  - ### Method Detail

    - #### customizeUnauthorizedResponse

          protected void customizeUnauthorizedResponse(org.apache.hc.core5.http.ClassicHttpResponse unauthorized)

    - #### handle

          public void handle(org.apache.hc.core5.http.ClassicHttpRequest request,
                             org.apache.hc.core5.http.io.HttpServerRequestHandler.ResponseTrigger responseTrigger,
                             org.apache.hc.core5.http.protocol.HttpContext context)
                      throws org.apache.hc.core5.http.HttpException,
                             IOException

      Specified by:
        `handle` in interface `org.apache.hc.core5.http.io.HttpServerRequestHandler`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.